Subject: bug#41423: 27.0.91; eshell file completion in tramp dir is slow (3 minutes) [regression on pretest] (was: bug#41423: additional info)

From: Michael Albinus <[email-masked]>
Date: Thu, 28 May 2020 13:48:02 +0200

andrés ramírez <[email-masked]> writes:

Hi,

> It also delays if I replace cd by find-file on the eshell buffer. BTW
> completion needs to happen for the delay to appear.

I've bisected the emacs-27 branch for this. The first bad commit is

--8<---------------cut here---------------start------------->8---
commit 047c1b19353ff58d8cd45935c7b44c911b70e312 (HEAD, refs/bisect/bad)
Author: Stefan Monnier <[email-masked]>
Date:   Tue Mar 19 23:41:20 2019 -0400

    * lisp/eshell/em-cmpl.el: Use completion-at-point i.s.o pcomplete
--8<---------------cut here---------------end--------------->8---

Since this is a serious regression, I'm marking this as blocking for
Emacs 27. (Sorry Eli, but you can always overrule me)

> andres.ramirez

Best regards, Michael.